ru.bitel.bgbilling.kernel.bgsecure.server.bean

## Class UserInfoDao

- java.lang.Object
- - ru.bitel.bgbilling.kernel.bgsecure.server.bean.UserInfoDao

- All Implemented Interfaces:
    ru.bitel.bgbilling.kernel.directory.api.common.Directory<UserInfo>

      public class UserInfoDao
      extends java.lang.Object
      implements ru.bitel.bgbilling.kernel.directory.api.common.Directory<UserInfo>

  Дао для справочника пользователя. Так как "user" не является в чистом виде справочником, то реализованы только методы list() и get( int id).
  Author:
    ildar

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserInfoDao(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `delete(int id)` Удаление элемента по id
    `UserInfo` | `get(int id)` Получение элемента по id
    `UserInfo` | `get(java.lang.String title)` Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    `java.util.List<UserInfo>` | `list()` Получение всего списка элементов из справочника
    `void` | `update(UserInfo k)` Изменение/добавление элемента справочника

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserInfoDao

          public UserInfoDao(java.sql.Connection con)

  - ### Method Detail

    - #### get

          public UserInfo get(int id)
                       throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `ru.bitel.bgbilling.kernel.directory.api.common.Directory`
      Получение элемента по id
      Specified by:
        `get` in interface `ru.bitel.bgbilling.kernel.directory.api.common.Directory<UserInfo>`
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### get

          public UserInfo get(java.lang.String title)
                       throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `ru.bitel.bgbilling.kernel.directory.api.common.Directory`
      Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
      Specified by:
        `get` in interface `ru.bitel.bgbilling.kernel.directory.api.common.Directory<UserInfo>`
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<UserInfo> list()
                                        throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `ru.bitel.bgbilling.kernel.directory.api.common.Directory`
      Получение всего списка элементов из справочника
      Specified by:
        `list` in interface `ru.bitel.bgbilling.kernel.directory.api.common.Directory<UserInfo>`
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### update

          public void update(UserInfo k)
                      throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `ru.bitel.bgbilling.kernel.directory.api.common.Directory`
      Изменение/добавление элемента справочника
      Specified by:
        `update` in interface `ru.bitel.bgbilling.kernel.directory.api.common.Directory<UserInfo>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### delete

          public int delete(int id)
                     throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `ru.bitel.bgbilling.kernel.directory.api.common.Directory`
      Удаление элемента по id
      Specified by:
        `delete` in interface `ru.bitel.bgbilling.kernel.directory.api.common.Directory<UserInfo>`
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`